Subject: Re: Still using "git whatchanged"

From: Junio C Hamano <[email-masked]>
Date: Tue, 02 Sep 2025 09:29:48 -0700

[email-masked] writes:

> apart from what's stated in the subject, I think it's not logical
> to use "--raw" when I want to see what has changed.
>
> "git log" shows me the log. What's the raw part about wanting to
> see what's changed?

But that is what "git whatchanged" gives, so when one is so attached to
what "git whatchanged" does, "--raw" is what we cite as "compatible"
option.

If you want to really see what hash changed, there are other and
better options, depending on what level of details you would want to
go into, ranging from --name-only to -p.  My personal preference is
"log --compact-summary" but I do not want to force my preference on
those who want to stick to the output from "whatchanged".